/********************************************************************/
/*    TORQUE (Types Of Relationships QUality Evaluation) toolkit    */
/*                                                                  */
/* Original file name: consoletools.h                               */
/*                                                                  */
/* This software by R.M.                                            */
/********************************************************************/

#ifndef CONSOLETOOLS_H
#define CONSOLETOOLS_H

#include <stdio.h>
#include <sys/stat.h>

#define CONSOLE_BOLD "\033[1m"
#define CONSOLE_UNDERLINE "\033[4m"
#define CONSOLE_NORMAL "\033[0m"

/* This function displays a warning message for a file that is
   about to be overwritten, and asks user confirmation about it */
bool askOverwrite (char *fileName);

// Moves cursor to a given column, same row
void goToCol(int);

// Prints a percentage bar
void printPercentage(float curValue, float totValue);

/* This function returns true if the given stream appears to
   be connected to a terminal; false otherwise */
bool isTerm(FILE *stream);

#endif
